Subject: bug#23144: shrinking windows with gtk 3.20

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Apr 2016 10:01:33 +0300

> Cc: [email-masked], Matthias Clasen <[email-masked]>
> From: Paul Eggert <[email-masked]>
> Date: Fri, 1 Apr 2016 17:03:39 -0700
> 
> >   . On the release branch, provide some safe workaround, triggered by
> >     an option users could set if they encounter this problem with a
> >     future GTK version.  This assumes such a safe workaround is
> >     possible, of course; I thought along the lines of the user
> >     specifying the initial size explicitly in some way.
> >
> 
> Another possibility is to ask builders not to combine GTK+4 (or will 
> this be GTK+ 3.22? it's not clear), whenever it comes out, with Emacs 25 
> whenever it comes out; and to instead stick with GTK+ 3.20 or earlier 
> when building Emacs 25. If that's a reasonable request then the problem 
> goes away.

Such a request, if we agree to that, should be in the form of
configure rejecting GTK+4.  I don't believe in our ability to reach
all of the package maintainers and convince them.

But if we can find a reasonable fire escape without rejecting new
versions of GTK, I think it would be a better alternative.